package com.gaowj.test.demo1;

import net.sf.json.JSONObject;

import com.gaowj.business.action.BasicAction;
import com.gaowj.business.exception.BusinessException;

public class testUpload extends BasicAction {

	/**
	 * 
	 */
	private static final long serialVersionUID = 433295291922130265L;
	
	private JSONObject jsonObject = new JSONObject();

	public JSONObject getJsonObject() {
		return jsonObject;
	}

	public void setJsonObject(JSONObject jsonObject) {
		this.jsonObject = jsonObject;
	}
	
	public String upload() throws BusinessException {
		String upPath = request.getSession().getServletContext().getRealPath("/uploadFile/file");
		System.out.println(upPath);
		System.out.println(request.getParameter("userFileName"));
		super.setUserUploadFilePath(upPath);
		return super.upload();
    }

}
